net.sourceforge.pmd.lang

## Class ParserOptions

- java.lang.Object
- - net.sourceforge.pmd.lang.ParserOptions

- Direct Known Subclasses:
    EcmascriptParserOptions, XmlParserOptions

      public class ParserOptions
      extends Object

  Represents a set of configuration options for a `Parser`. For each unique combination of ParserOptions a Parser will be used to create an AST. Therefore, implementations must implement `Object.equals(Object)` and `Object.hashCode()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `suppressMarker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getSuppressMarker()`
    `int` | `hashCode()`
    `void` | `setSuppressMarker(String suppressMarker)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### suppressMarker

          protected String suppressMarker

  - ### Constructor Detail

    - #### ParserOptions

          public ParserOptions()

  - ### Method Detail

    - #### getSuppressMarker

          public String getSuppressMarker()

    - #### setSuppressMarker

          public void setSuppressMarker(String suppressMarker)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2002-2013 InfoEther. All Rights Reserved.